Bug 216426 - Let webkitDisplayingFullscreen() return true when a video element’s fullscreen mode is not VideoFullscreenModeNone
Summary: Let webkitDisplayingFullscreen() return true when a video element’s fullscree...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Peng Liu
URL:
Keywords: InRadar
Depends on: 216287
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-11 17:07 PDT by Peng Liu
Modified: 2020-10-26 14:33 PDT (History)
12 users (show)

See Also:


Attachments
WIP patch v0 (48.45 KB, patch)
2020-09-15 20:02 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v1 (50.92 KB, patch)
2020-09-16 10:46 PDT, Peng Liu
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
WIP patch v2 (60.69 KB, patch)
2020-09-17 17:20 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
WIP patch v3 (60.86 KB, patch)
2020-09-17 22:31 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
Update changelogs (63.26 KB, patch)
2020-09-18 11:49 PDT, Peng Liu
no flags Details | Formatted Diff | Diff
Rebase the patch (63.23 KB, patch)
2020-10-19 15:09 PDT, Peng Liu
jer.noble: review+
Details | Formatted Diff | Diff
Rebased patch for landing (62.40 KB, patch)
2020-10-21 21:53 PDT, Peng Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Liu 2020-09-11 17:07:37 PDT
Let webkitDisplayingFullscreen() return true when a video element’s fullscreen mode is not VideoFullscreenModeNone
Comment 1 Peng Liu 2020-09-11 17:08:30 PDT
<rdar://67790759>
Comment 2 Peng Liu 2020-09-15 20:02:06 PDT
Created attachment 408890 [details]
WIP patch v0
Comment 3 Peng Liu 2020-09-16 10:46:42 PDT
Created attachment 408935 [details]
WIP patch v1
Comment 4 Peng Liu 2020-09-17 17:20:28 PDT
Created attachment 409091 [details]
WIP patch v2
Comment 5 Peng Liu 2020-09-17 22:31:49 PDT
Created attachment 409104 [details]
WIP patch v3
Comment 6 Peng Liu 2020-09-18 11:49:23 PDT
Created attachment 409156 [details]
Update changelogs
Comment 7 Peng Liu 2020-10-19 15:09:39 PDT
Created attachment 411804 [details]
Rebase the patch
Comment 8 Jer Noble 2020-10-21 13:50:32 PDT
Comment on attachment 411804 [details]
Rebase the patch

View in context: https://bugs.webkit.org/attachment.cgi?id=411804&action=review

> Source/WebCore/html/HTMLMediaElement.cpp:5936
> +                if (mode == VideoFullscreenModeStandard)
> +                    m_waitingToEnterFullscreen = true;

It looks like this is the meat of the change. That we only set m_waitingToEnterFullscreen if we're entering "standard" fullscreen.

> Source/WebCore/html/HTMLMediaElement.cpp:6016
> +            setFullscreenMode(VideoFullscreenModeNone);

And this is the second functional part of the change, that when exitFullscreen() is called, we set the fullscreenMode to "none" if the old mode was "standard".

This all looks good to me; glad we can write more careful tests through Internals now.
Comment 9 Peng Liu 2020-10-21 21:53:50 PDT
Created attachment 412065 [details]
Rebased patch for landing
Comment 10 EWS 2020-10-22 08:22:44 PDT
Committed r268865: <https://trac.webkit.org/changeset/268865>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 412065 [details].